wordpress”在向API 请求时发生了一个HTTP 错误”的解决方法

 

今天帮朋友转移网站,他说自己安装主题的时候会出现  "在向API 请求时发生了一个HTTP 错误“ ,奶牛转移之后也发现了同样的问题,大多这个问题是服务器的限制,一般付费的服务器不会出现此问题。网上找到了一种修改延迟的方法,奶牛测试了下效果,并不是对所有的服务器都奏效。网上给出的方法

修改wp-includes/class-http.php的第220行,将

‘timeout’ => apply_filters( ‘http_request_timeout’, 5),

中的5改为较大的数,但是奶牛测试并不奏效

奶牛判断应该是服务器提供商禁用了该api导致无法正常安装插件跟主题。

其实奶牛的解决方法很简单,从wordpress官网下载自己需要安装的插件跟主题手动安装。

插件解压到wp-content/plugins下

主题解压到wp-content/themes下

不要喷奶牛,手动还是有优势的,至少服务器不会限制手动上传~~~

顺便打个广告,奶牛这里卖博客主机咯,有需要的朋友可以联系下奶牛~~~

12 条评论

  1. 搬家最怕就是这样 :fd

  2. 独立的vps还是博客主机阿

    • 免费主机的说~~~嘎嘎

  3. 你也卖主机了….

    • 嗯嗯,是啊,代卖下,嘿嘿~~

  4. 那牛的速度打开挺快的,用的啥主机?

  5. 其实正在寻找适合流量的主机….给个配置呗。

  6. 220哪有那个代码……在60

  7. 打错了 是86

  8. 不错,我估计也是服务器禁止了api,反正涉及到需要api的插件我都不能用了,郁闷!对了,可以互换个链接么?本站PR不高,但是百度和谷歌收录不少,希望能相互交流!http://javencg.com :good

:wx :k :good :fd :gz more »